Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Gerd Möllmann <[email-masked]>
Date: Mon, 21 Apr 2025 17:31:19 +0200

Michael Albinus <[email-masked]> writes:

Frohe Ostern!

> This is macOS, isn't it? What does the following shell command show?

Right, it's macOS.
>
> # sed -e '/^[\o001-\o032][\o001-\o032]*$/d' /dev/null
>

$ /usr/bin/sed -e '/^[\o001-\o032][\o001-\o032]*$/d' /dev/null
sed: 1: "/^[\o001-\o032][\o001-\ ...": RE error: invalid character rangeThat gives 

(I've installed the GNU sed package "gsed" for now, as a workaround.
That's why I invoke /usr/bin/sed.

> If it fails, does the following work?
>
> # sed -e '/^[\001-\032][\001-\032]*$/d' /dev/null

/usr/bin/sed -e '/^[\001-\032][\001-\032]*$/d' /dev/null
sed: 1: "/^[\001-\032][\001-\032 ...": RE error: invalid character range
>
> Does 'sed --version' return something useful? Do you know which sed
> version it is, otherwise?

It doesn't have a --version. The man page says

AUTHORS
     Diomidis D. Spinellis <[email-masked]>

so I guess it's the FreeBSD one.